summaryrefslogtreecommitdiffstats
path: root/trinity-base/keduca
diff options
context:
space:
mode:
Diffstat (limited to 'trinity-base/keduca')
-rw-r--r--trinity-base/keduca/Manifest1
-rw-r--r--trinity-base/keduca/keduca-14.1.1.ebuild22
2 files changed, 23 insertions, 0 deletions
diff --git a/trinity-base/keduca/Manifest b/trinity-base/keduca/Manifest
index feb0e189..80b7129f 100644
--- a/trinity-base/keduca/Manifest
+++ b/trinity-base/keduca/Manifest
@@ -1 +1,2 @@
DIST tdeedu-trinity-14.1.0.tar.xz 24697508 BLAKE2B fa3002581d37481b9c7e55a83ac934988b04d9164992d96e3576498af2c3e402b9b917e3e55f74a9db7d356c8c7b101fd6185916aef54b75d0c6b9eb98f2f341 SHA512 eaeacde4ed27f455faaa42d730477e4ef94d02b9902efbd86aee3ff921fc7bf2069f60c63db7ce57b5c188308745ba449f711eafe466af3b00734fd176b4a57e
+DIST tdeedu-trinity-14.1.1.tar.xz 24697532 BLAKE2B 8a516c18a1dddc6a3fae01ad96df006fe60ad22515802ffc351fbc11fcc2cc9c347877b60790d44f538f5dc167a7b491f4083b1b2350489882f83676eb4a1cac SHA512 4216fdb31db332872bc09619feb9127944092495be4cc586d4e33d0df34d06658f3ba47b8baafd33c08f8f1a752ba6c8c828f16e1569a0b5b658477328cd28f2
diff --git a/trinity-base/keduca/keduca-14.1.1.ebuild b/trinity-base/keduca/keduca-14.1.1.ebuild
new file mode 100644
index 00000000..b25118d2
--- /dev/null
+++ b/trinity-base/keduca/keduca-14.1.1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 2022-2023 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_NAME="tdeedu"
+TRINITY_MODULE_TYPE="core"
+TRINITY_HANDBOOK="optional"
+TSM_EXTRACT_ALSO="translations"
+TRINITY_NEED_ARTS="optional"
+inherit trinity-meta-2
+
+DESCRIPTION="Interactive form-based tests for Trinity"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+src_prepare() {
+ sed -i -e '/add_subdirectory( applnk )/d' \
+ -e '/add_subdirectory( libtdeedu )/d' "${S}/CMakeLists.txt" || die
+ trinity-meta-2_src_prepare
+}